Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.graphdb.traversal
Enum Evaluation

    java.lang.Object
      java.lang.Enum<Evaluation>
          org.neo4j.graphdb.traversal.Evaluation

All Implemented Interfaces:
  Serializable, Comparable<Evaluation>

    public enum Evaluation

extends Enum<Evaluation>

Result of `Evaluator.evaluate(org.neo4j.graphdb.Path)`.

Author:
  Mattias Persson
See Also:
  `Evaluator`

Enum Constant Summary
`EXCLUDE_AND_CONTINUE`
`EXCLUDE_AND_PRUNE`
`INCLUDE_AND_CONTINUE`
`INCLUDE_AND_PRUNE`

Method Summary
`boolean` | `continues()`
`boolean` | `includes()`
`static Evaluation` | `of(boolean includes, boolean continues)`
`static Evaluation` | `ofContinues(boolean continues)` Continue or prune; always include.
`static Evaluation` | `ofIncludes(boolean includes)` Include or exclude; always continue.
`static Evaluation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Evaluation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCLUDE_AND_CONTINUE

    public static final Evaluation INCLUDE_AND_CONTINUE

### INCLUDE_AND_PRUNE

    public static final Evaluation INCLUDE_AND_PRUNE

### EXCLUDE_AND_CONTINUE

    public static final Evaluation EXCLUDE_AND_CONTINUE

### EXCLUDE_AND_PRUNE

    public static final Evaluation EXCLUDE_AND_PRUNE

Method Detail

### values

    public static Evaluation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Evaluation c : Evaluation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Evaluation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### includes

    public boolean includes()

### continues

    public boolean continues()

### of

    public static Evaluation of(boolean includes,
                                boolean continues)

### ofIncludes

    public static Evaluation ofIncludes(boolean includes)

  Include or exclude; always continue.

### ofContinues

    public static Evaluation ofContinues(boolean continues)

  Continue or prune; always include.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.